Loading...
Searching...
No Matches
Dune::PropertyMapTraits< const T * > Struct Template Reference

`#include <dune/common/propertymap.hh>`

Inheritance diagram for Dune::PropertyMapTraits< const T * >:

## Public Types

typedef T | ValueType
typedef const ValueType & | Reference
typedef std::ptrdiff_t | KeyType
typedef LvaluePropertyMapTag | Category

## Member Typedef Documentation

## Category

template<class T>

typedef LvaluePropertyMapTag Dune::PropertyMapTraits< const T * >::Category

## KeyType

template<class T>

typedef std::ptrdiff_t Dune::PropertyMapTraits< const T * >::KeyType

## Reference

template<class T>

typedef const ValueType& Dune::PropertyMapTraits< const T * >::Reference

## ValueType

template<class T>

typedef T Dune::PropertyMapTraits< const T * >::ValueType

The documentation for this struct was generated from the following file:

- propertymap.hh